import { ItemStack } from '@minecraft/server';

class BasicCrucibleInteractRecipe {
    constructor(fluid, itemStack, outputItem, outputAmount, sound) {
        this.fluid = fluid;
        this.outputItem = outputItem;
        this.outputAmount = outputAmount;
        this.itemStack = itemStack;
        this.sound = sound;
    }
    isValid(fluid, itemStack) {
        return fluid === this.fluid && itemStack.typeId === this.itemStack;
    }
    get output() {
        return new ItemStack(this.outputItem, this.outputAmount);
    }
}
class BasicCrucibleRecipe {
    constructor(input, renderId, output) {
        this.input = input;
        this.renderId = renderId;
        this.output = output;
    }
    isValid(itemStack) {
        return itemStack.typeId === this.input;
    }
    getOutput() {
        return this.output;
    }
}

export { BasicCrucibleInteractRecipe, BasicCrucibleRecipe };
